Summary: GNU libraries and utilities for producing multi-lingual messages.
Name: gettext
Version: 0.14.6
Release: 1tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/gettext/gettext-%{version}.tar.gz
Buildroot: /var/tmp/gettext-root

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs.  Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings.  Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

If you would like to internationalize or incorporate multi-lingual
messages into programs that you're developing, you should install
gettext.

%package devel 
Summary:	Development package for gettext
Group: Trustix Official

%description devel 
This package contains the library and as tools that ease the
creation and maintenance of message catalogs. With it you can extract
strings from source code. A special compiler will turn these PO files into
binary catalogs.

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-shared --with-included-gettext \
        --mandir=$RPM_BUILD_ROOT/%{_mandir} %{_target_platform}
make
#cd gettext-runtime/libasprintf
#makeinfo --html --no-split autosprintf.texi
#cd -
#cd gettext-tools/doc
#makeinfo --html --no-split gettext.texi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

# Fix busted no-emacs install for $lispdir/po-mode.el
make install \
	prefix=$RPM_BUILD_ROOT/usr

# Remove Info files & use HTML instead 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/html/%{name}/asprintf
mkdir -p $RPM_BUILD_ROOT%{_datadir}/html/%{name}/gettext
#install -m 644 gettext-runtime/libasprintf/autosprintf.html $RPM_BUILD_ROOT%{_datadir}/html/%{name}
#install -m 644 gettext-tools/doc/gettext.html $RPM_BUILD_ROOT%{_datadir}/html/%{name}
install -m 644 gettext-runtime/libasprintf/autosprintf_all.html $RPM_BUILD_ROOT%{_datadir}/html/%{name}/asprintf
install -m 644 gettext-tools/doc/gettext_*.html $RPM_BUILD_ROOT%{_datadir}/html/%{name}/gettext
rm -Rf $RPM_BUILD_ROOT%{_prefix}/info

pushd $RPM_BUILD_ROOT
rm -f ./usr/share/info/dir ./usr/include/libintl.h
strip ./usr/bin/* || :
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/bin/*
%doc %{_mandir}/*/*
%doc /usr/share/doc/*
/usr/share/gettext
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/aclocal/*
%{_libdir}/libintl.*
%{_libdir}/libgettextlib*
%{_libdir}/libgettextsrc*
%{_libdir}/gettext/hostname
%{_libdir}/gettext/urlget
%{_libdir}/gettext/user-email
%{_libdir}/gettext/project-id

%files devel 
%defattr(-,root,root,0755)
/usr/include/autosprintf.h
/usr/include/gettext-po.h
%{_libdir}/libasprintf*
%{_libdir}/libgettextpo*
%exclude /usr/share/locale/locale.alias
%{_datadir}/html/%{name}/*

%changelog
* Tue Nov 07 2006 Nived Gopalan <nived at trustix dot org> 0.14.6-1tr
- New Upstream, Bug #2031.

* Wed Apr 27 2005 Ajith Thampi <ajith at comodo dot com> 0.14.4-3tr
- Fixed Unpackaged Files

* Mon Apr 25 2005 Ajith Thampi <ajith at comodo dot com> 0.14.4-2tr
- Fixed File Conflicts issue with glibc-locale

* Wed Apr 13 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.14.4-1tr
- New Upstream

* Fri Mar 18 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.14.3-2tr
- Rebuilt 

* Wed Mar 16 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 0.14.3-1tr
- New Upstream 

* Thu Mar 10 2005 Ajith Thampi <ajith at comodo dot com>0.14.2-1tr
- New Upstream

* Thu Mar 10 2005 Ajith Thampi <ajith at comodo dot com>0.14.2-1tr
- New Upstream

* Thu Sep 23 2004 Syed Shabir <syedshabir at comodo dot com> 0.14.1-4tr
- Added libtool-amd patch

* Sat Feb  7 2004 Omar Kilani <ok at trustix dot org> 0.14.1-1ok
- New upstream.

* Sun Jan 25 2004 Erlend Midttun <erlendbm at trustix dot org> 0.13.1-1tr
- New upstream.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot com> 0.13-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.11.5-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.11.5-2em
- Rebuilt against glibc 2.3.2.

* Tue Sep 11 2002 Gerald Dachs <gda at trustix dot org> 0.11.5-1gd
- new version 0.11.5

* Mon Sep 10 2002 Gerald Dachs <gda at trustix dot org> 0.11.4-1gd
- new version 0.11.4

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Fixed preun to only delete info-files if not upgrading.

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved info files to /usr/share/info, FHS

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack not to merge in fuzzies in the master catalogs

* Thu Aug 26 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to understand --append

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to correctly deal with sorting files

* Thu May 06 1999 Cristian Gafton <gafton@redhat.com>
- msghack updates

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
